---
# Author: Guillaume Mella
# Description: install OI-Interface-Tools
#

- name: "Install OI-Interface-Tools"
  block:
   - apt:
      name: ['git', 'python3-pip', 'python3-astropy', 'python3-pep8']

   - git:
       repo: https://github.com/jsy1001/OI-Interface-Tools.git
       version: v1.1.0
       dest: "{{oi_interface_tools_install_dir}}/oi_interface_tools"

   - pip:
      virtualenv: /opt/venv
      chdir: "{{oi_interface_tools_install_dir}}/oi_interface_tools"
      name: .


